~~~BEGIN_MAIN_SECTION~~~
[PRODUCT]
procedure=UPDATE_ON_DEMAND_SODC_DOWNTIME_TB
job=UPDATE_ON_DEMAND_SODC_DOWNTIME_TB_JOB
~~~END_MAIN_SECTION~~~

~~~BEGIN_VERSION_SECTION~~~
[VERSION]
version=2025-11-04

[SQL_SCRIPT___DEFAULT]
CREATE OR REPLACE PROCEDURE UPDATE_ON_DEMAND_SODC_DOWNTIME_TB AUTHID CURRENT_USER
IS
begin
	begin CREATE__TMP_SOTD_CUSTOMERS_ALL_DATES_TB__PROC();end;
	begin CREATE__TMP_SOTD_CUSTOMERS_TB__PROC();end;
	begin CREATE__TMP_SOTD_DATES_TB__PROC();end;
	begin CREATE__TMP_SOTD_SMD_ACCOUNTS2_TB__PROC();end;
	begin CREATE__TMP_SOTD_HUB_CSI_TB__PROC();end;
	begin CREATE__ON_DEMAND_SODC_DOWNTIME_PRE1_TB__PROC();end;
	begin CREATE__ON_DEMAND_SODC_DOWNTIME_PRE1_WOSMD_TB__PROC();end;
	begin CREATE__ON_DEMAND_SODC_DOWNTIME_TB__PROC();end;
	begin CREATE__ON_DEMAND_SODC_DOWNTIME_PRE2_TB__PROC();end;
	begin CREATE__ON_DEMAND_SODC_DOWNTIME_PRE4_TB__PROC();end;
end;

[SQL_SCRIPT___DEFAULT]
begin EXECUTE IMMEDIATE 'begin dbms_scheduler.drop_job(job_name        => ''UPDATE_ON_DEMAND_SODC_DOWNTIME_TB_JOB'');end;';exception WHEN OTHERS THEN NULL;end;


[SQL_SCRIPT___DEFAULT]
begin
    dbms_scheduler.create_job(job_name        => 'UPDATE_ON_DEMAND_SODC_DOWNTIME_TB_JOB',
                              job_type        => 'STORED_PROCEDURE',
                              job_action      => 'UPDATE_ON_DEMAND_SODC_DOWNTIME_TB',
                              start_date      => systimestamp,
                              end_date        => null,
                              repeat_interval => 'freq=hourly; interval=10;',
                              enabled         => true,
                              auto_drop       => false,
                              comments        => 'Run UPDATE_ON_DEMAND_SODC_DOWNTIME_TB procedure.');
end;
~~~END_VERSION_SECTION~~~